package com.jqtx.windows.web;


import cn.hutool.core.io.FileUtil;
import cn.hutool.core.util.CharsetUtil;
import cn.hutool.extra.ssh.Sftp;
import com.jqtx.infrastructure.oss.starter.config.OssUtils;
import com.jqtx.infrastructure.util.AKAESUtil;
import com.jqtx.windows.common.factory.CommandProxy;
import com.jqtx.windows.web.response.JsonResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.io.File;
import java.io.FileOutputStream;

@RestController
@RequestMapping("/zhenong/v1")
@Api(tags = "网关接口")
@Slf4j
public class BaseController {

    @Autowired
    private CommandProxy commandProxy;

    @Autowired
    private OssUtils ossUtils;

    @ApiOperation(value = "网关接口")
    @PostMapping("/{url}")
    public JsonResult creditSubmit(@RequestBody String requestBody, @PathVariable String url) {
        log.info("浙农请求：{}",requestBody);
        return commandProxy.call(requestBody,url);
    }

    @ApiOperation(value = "测试网关接口")
    @PostMapping("/test/{url}")
    public JsonResult test(@RequestBody String requestBody, @PathVariable String url) {
        log.info("浙农请求：{}",requestBody);
        return commandProxy.test(requestBody,url);
    }


    @ApiOperation(value = "测试网关接口")
    @GetMapping("/ccc")
    public JsonResult ccc() {
        Sftp sftp = new Sftp("115.238.89.106", 9901, "xiaohua_fr", "R7MADMx1lwMN5k4v", CharsetUtil.CHARSET_UTF_8);
        sftp.cd("/download/compensatory/"+"20231113");
        sftp.get("compensatory_20231113.txt","/bbb.txt");
        ossUtils.ossUpload("ZN/compensatory/bbb.txt", FileUtil.file("/bbb.txt"));
        FileUtil.del("/bbb.txt");
        return null;
    }

    public static void main(String[] args) {

        System.out.println(AKAESUtil.decrypt("+Nk2q1/FnJtWdXPFOZ816A=="));
    }

}
